%define version	20061020
%define release	%mkrel 2
%define major	27
%define fname	geda
%define name 	libgeda
%define libname %mklibname %{fname} %{major}

Summary: 	Libraries for the gEDA project
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source:		ftp://ftp.geda.seul.org/pub/geda/dist/%{name}-%{version}.tar.bz2
Url:		http://www.geda.seul.org
License:	LGPL 
Group: 		System/Libraries
BuildRequires:	libguile-devel
BuildRequires:  libglib-devel
BuildRequires:  gtk+2-devel
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description
This package contains libgeda%{major} (library needed by gEDA applications).

The gEDA project is working on producing a full GPL'd suite of
Electronic Design Automation tools. These tools are used for electrical
circuit design, simulation, prototyping, and production.

%package -n %libname
Summary: Libraries for the gEDA project
Group:      System/Libraries
Provides:	%name = %version-%release
Requires:	%name-data

%description -n %libname
This package contains libgeda%{major} (library needed by gEDA applications).

The gEDA project is working on producing a full GPL'd suite of
Electronic Design Automation tools. These tools are used for electrical
circuit design, simulation, prototyping, and production.

%package -n %libname-devel
Summary:    Development libraries for the gEDA project
Group:     Development/Other
Provides: %name-devel = %version-%release
Requires: %{libname} = %version

%description -n %libname-devel
This package contains libgeda%{major} development libraries needed
by gEDA applications) and the necessary header files for development.

The gEDA project is working on producing a full GPL'd suite of
Electronic Design Automation tools. These tools are used for electrical
circuit design, simulation, prototyping, and production.

%package -n %name-data
Summary:	Static data from %name
Group:		System/Libraries

%description -n %name-data
This packages contains some help files and other
static stuf.

The gEDA project is working on producing a full GPL'd suite of
Electronic Design Automation tools. These tools are used for electrical
circuit design, simulation, prototyping, and production.

%prep
%setup -q -n %name-%version

%build

%configure

%make

%install

%makeinstall prologdatadir=%buildroot%_datadir/gEDA

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
rm -Rf $RPM_BUILD_ROOT

%files -n %libname
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/libgeda.so.%major
%{_libdir}/libgeda.so.%major.0.0

%files -n %libname-devel
%defattr(-,root,root)
%doc COPYING
%{_libdir}/libgeda.so
%{_libdir}/libgeda.a
%{_libdir}/libgeda.la
%{_libdir}/pkgconfig/%name.pc
%dir %{_includedir}/libgeda
%{_includedir}/libgeda/*

%files -n %name-data
%defattr(-,root,root)
%dir %_datadir/gEDA
%_datadir/gEDA/prolog.ps


%changelog
* Sun Jan 21 2007 Olivier Thauvin <nanardon@mandriva.org> 20061020-2mdv2007.0
+ Revision: 111201
- rebuild for guile

* Sat Dec 09 2006 Olivier Thauvin <nanardon@mandriva.org> 20061020-1mdv2007.1
+ Revision: 93923
- v 20061020

* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org> 20060123-3mdv2007.0
+ Revision: 53582
- rebuild
- Import libgeda


* Sun Jul 02 2006 Emmanuel Andry <eandry@mandriva.org> 20060123-2mdv2007.0
- rebuild for libpng

* Sat May 13 2006 Olivier Thauvin <nanardon@mandriva.org> 20060123-1mdk
- 20060123

* Thu Nov 24 2005 Lenny Cartier <lenny@mandriva.com> 20050820-2mdk
- rebuild for dependencies

* Tue Oct 04 2005 Olivier Thauvin <nanardon@mandriva.org> 20050820-1mdk
- 20050820
- spec cleanup
- remove no longer patch1, hack

* Mon Oct 03 2005 Nicolas Lcureuil <neoclust@mandriva.org> 20050313-2mdk
- Fix BuildRequires

* Tue Jul 05 2005 Lenny Cartier <lenny@mandriva.com> 20050313-1mdk
- 20050313

* Mon Apr 26 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20040111-1mdk
- 20040111
 
* Fri Sep 05 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20030901-1mdk
- 20030901
- Fix BuildRequires

* Tue May 27 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20030525-1mdk
- 20030525

* Mon May 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 20030223-2mdk
- buildrequires

* Fri Apr 11 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20030223-1mdk
- 20030223
- use %%mklibname
- slit %%name-data
- cleanup

* Mon Oct 07 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20020825-2mdk
- Obsolete libgeda15

* Mon Oct 07 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20020825-1mdk
- 20020825
- fix %%libname%%major in desc
- fix package name

* Tue Jul 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 20020527-1mdk
- 20020527

* Thu May 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 20020414-2mdk
- info files
- fix changelog

* Thu May 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 20020414-1mdk
- 20020414

* Thu Oct 18 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 20010722-2mdk
- rpmlint fix

* Mon Aug 06 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 20010722-1mdk
- new snapshot
- libify
- capitalize summaries
- spec cleanup
- %%libname-devel requires %%libname-%version
- add some doc in %%libname-devel

* Fri Sep 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 20000220-2mdk
- BM
- clean spec

* Wed Jul 05 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 20000220-1mdk
- initial spec
